Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_model_with_options

## Name

librdf_new_model_with_options -- Constructor - Create a new librdf_model with storage

## Synopsis

``librdf_model* `librdf_new_model_with_options`` (librdf_world * `world`, librdf_storage * `storage`, librdf_hash* `options`);`

## Arguments

`world`

  redland world object

`storage`

  librdf_storage storage to use

`options`

  librdf_hash of options to use

## Description

Options are presently not used.

## Return value

a new librdf_model object or NULL on failure

<<< Previous | Home | Next >>>
librdf_new_model | Up | librdf_new_model_from_model